# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/allwinner,sun4i-a10-ts.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Allwinner A10 Resistive Touchscreen Controller Device Tree Bindings

maintainers:
  - Chen-Yu Tsai <wens@csie.org>
  - Maxime Ripard <mripard@kernel.org>

properties:
  "#thermal-sensor-cells":
    const: 0

  compatible:
    enum:
      - allwinner,sun4i-a10-ts
      - allwinner,sun5i-a13-ts
      - allwinner,sun6i-a31-ts

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  allwinner,ts-attached:
    $ref: /schemas/types.yaml#/definitions/flag
    description: A touchscreen is attached to the controller

  allwinner,tp-sensitive-adjust:
    $ref: /schemas/types.yaml#/definitions/uint32
    minimum: 0
    maximum: 15
    default: 15

    description: Sensitivity of pen down detection

  allwinner,filter-type:
    $ref: /schemas/types.yaml#/definitions/uint32
    minimum: 0
    maximum: 3
    default: 1

    description: |
      Select median and averaging filter. Sample used for median /
      averaging filter:
        0: 4/2
        1: 5/3
        2: 8/4
        3: 16/8

required:
  - "#thermal-sensor-cells"
  - compatible
  - reg
  - interrupts

additionalProperties: false

examples:
  - |
    rtp: rtp@1c25000 {
        compatible = "allwinner,sun4i-a10-ts";
        reg = <0x01c25000 0x100>;
        interrupts = <29>;
        allwinner,ts-attached;
        #thermal-sensor-cells = <0>;
        /* sensitive/noisy touch panel */
        allwinner,tp-sensitive-adjust = <0>;
        allwinner,filter-type = <3>;
    };

...
